Automations · Broadcasts

Get broadcast details

Fetches broadcast details.

GEThttps://api.pozy.ai/v1/broadcasts/{broadcastId}
getBroadcast

Guides: Broadcasts, WhatsApp broadcasts

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication

Path parameters

NameTypeNotes
broadcastIdrequiredstring

Example

curl -X GET "https://api.pozy.ai/v1/broadcasts/6ce1988a4c4f8bc6d3ca157a" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • successboolean
  • broadcastobject
    19 child fields
    • idstring
    • namestring
    • descriptionstring
    • platformstring
    • accountIdstring
    • messageobject
      1 child field
      • textstring
    • templateobject
      2 child fields
      • namestring
      • languagestring
    • segmentFiltersobject
      3 child fields
      • tagsarray of string
      • isSubscribedboolean
      • customFieldsobject
    • statusstring

      One of draft, scheduled, sending, completed, failed, cancelled.

    • scheduledAtstring (date-time)
    • startedAtstring (date-time)
    • completedAtstring (date-time)
    • recipientCountinteger
    • sentCountinteger
    • deliveredCountinteger
    • readCountinteger
    • failedCountinteger
    • createdAtstring (date-time)
    • updatedAtstring (date-time)
200 response
{
  "success": true,
  "broadcast": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "name": "Acme",
    "description": "A short description",
    "platform": "instagram",
    "accountId": "696e0b682d0a31188e7a2ba9",
    "message": {
      "text": "Hello from Pozy"
    },
    "template": {
      "name": "Acme",
      "language": "en"
    },
    "segmentFilters": {
      "tags": [
        "string"
      ],
      "isSubscribed": true,
      "customFields": {}
    },
    "status": "draft",
    "scheduledAt": "2026-10-02T09:00:00.000Z",
    "startedAt": "2026-10-02T09:00:00.000Z",
    "completedAt": "2026-10-02T09:00:00.000Z",
    "recipientCount": 42,
    "sentCount": 42,
    "deliveredCount": 42,
    "readCount": 42,
    "failedCount": 42,
    "createdAt": "2026-10-02T09:00:00.000Z",
    "updatedAt": "2026-10-02T09:00:00.000Z"
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
404not_foundNothing with that id exists in your workspace.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Broadcasts